Recent flows
Returns the latest flows for the given ticker. Optionally a min premium and a side can be supplied in the query for further filtering.
For real time streaming of option trades for a ticker, subscribe to the option_trades:<TICKER> websocket channel, see https://api.unusualwhales.com/docs/websocket/option-trades.
For CBOE index tickers such as SPX or VIX the index price is returned as null and the row is marked missing_periscope. If the request filters with min_underlying_price, max_underlying_price, min_stock_price, max_stock_price, min_diff, max_diff, min_implied_move, max_implied_move, min_return_on_capital, max_return_on_capital, min_return_on_capital_perc or max_return_on_capital_perc, rows for these index tickers are left out of the response. CBOE index prices require provisioned access and CBOE approval. Contact [email protected], [email protected] or [email protected] to request access.
Authorizations
Query Parameters
The minimum premium requested trades should have.
x >= 050000
Response
The flow data per expiry for a trading day.
The sum of the premium of all the out the money (OTM) call transactions that executed.
"9908777.0"
The sum of the premium of all the call transactions that executed.
"9908777.0"
The sum of the premium of all the call transactions that executed on the ask side.
"5037703.0"
The sum of the premium of all the call transactions that executed on the bid side.
"4055973.0"
The sum of the premium of all the out the money (OTM) put transactions that executed.
"1204570.0"
The sum of the premium of all the put transactions that executed.
"163537151"
The sum of the premium of all the put transactions that executed on the ask side.
"799873.0"
The sum of the premium of all the put transactions that executed on the bid side.
"4055973.0"
